Package org.apache.commons.math3.optim.nonlinear.vector

# Class Weight

java.lang.Object
org.apache.commons.math3.optim.nonlinear.vector.Weight

All Implemented Interfaces:
  `OptimizationData`

@Deprecated public class Weight extends Object implements OptimizationData
Deprecated.
All classes and interfaces in this package are deprecated. The optimizers that were provided here were moved to the `org.apache.commons.math3.fitting.leastsquares` package (cf. MATH-1008).
Weight matrix of the residuals between model and observations.
Immutable class.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`Weight(double[] weight)`
Deprecated.
Creates a diagonal weight matrix.
`Weight(RealMatrix weight)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`RealMatrix`
`getWeight()`
Deprecated.
Gets the initial guess.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Weight

public Weight(double[] weight)
Deprecated.
Creates a diagonal weight matrix.

Parameters:
  `weight` - List of the values of the diagonal.

### Weight

public Weight(RealMatrix weight)
Deprecated.

Parameters:
  `weight` - Weight matrix.
Throws:
  `NonSquareMatrixException` - if the argument is not a square matrix.

## Method Details

### getWeight

public RealMatrix getWeight()
Deprecated.
Gets the initial guess.

Returns:
  the initial guess.